/// class ProspectDirector.Web.UI.Queries.FilterDateValueFeature
/// using ProspectDirector.Web.UI.Queries.FilterValueFeature

/**
@class FilterDateValueFeature
@constructor
@namespace Web.UI.Queries
@extends Web.UI.Queries.FilterValueFeature
**/
ProspectDirector.Web.UI.Queries.FilterDateValueFeature = ProspectDirector.Web.UI.Queries.FilterValueFeature.extend({

    //==============================
    // PROPERTIES
    //==============================

    get_valueField: function () {
        return this.get_valueWrapper().find("INPUT[type=text]");
    },

    //==============================
    // PUBLIC METHODS
    //==============================

    activate: function () {
        this._super();
        this.get_valueField().val(this.getValue("value"));
    },

    commit: function () {
        this.setValue("value", this.get_valueField().val());
    },

    render: function () {

        var content = "" +
            "<label for=\"Value\" class=\"-pd-macro-editor-label\">Value</label><br/>" +
            "<input type=\"text\" style=\"box-sizing:border-box;width:100%;padding:2px;height:22px;width:100%;\"/>";

        return this._super(content);

    }

});